%include	/usr/lib/rpm/macros.perl
Summary:	Essential command-line utilities for MySQL
Name:		percona-toolkit
Version:	3.1
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	https://www.percona.com/downloads/percona-toolkit/%{version}/source/tarball/%{name}-%{version}.tar.gz
# Source0-md5:	7521f8cbe1f5e579fbc742e3c1667327
Source1:	%{name}.conf
Source2:	%{name}.tmpfiles
Source3:	pt-kill.init
Patch0:		no-versioncheck.patch
Patch1:		bug-1314696.patch
URL:		https://www.percona.com/software/mysql-tools/percona-toolkit
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	perl-DBD-mysql >= 1.0
Requires:	perl-DBI >= 1.13
Requires:	perl-Term-ReadKey >= 2.10
Requires:	rc-scripts
Provides:	group(percona-toolkit)
Provides:	user(percona-toolkit)
Obsoletes:	mysqldumpgrants
Obsoletes:	mysqltoolkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Percona Toolkit for MySQL is a collection of advanced command-line
tools used by Percona MySQL Support staff to perform a variety of
MySQL server and system tasks that are too difficult or complex to
perform manually, including:
- Verify master and replica data consistency
- Efficiently archive rows
- Find duplicate indexes
- Summarize MySQL servers
- Analyze queries from logs and tcpdump
- Collect vital system information when problems occur

Percona Toolkit for MySQL is derived from Maatkit and Aspersa, two of
the best-known MySQL management software utility toolkits for MySQL
server administration.

%prep
%setup -q
%patch0 -p1
%patch1 -p2

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -v

# change shebang to be actual interpreter for rpm to generate deps on the
# interpreters.
%{__sed} -i -e '1s,^#!.*env *perl,#!%{__perl},' bin/pt-*
%{__sed} -i -e '1s,^#!.*env bash,#!/bin/bash,' bin/pt-*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{systemdtmpfilesdir},/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT/var/run/%{name}

%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

# seems unneeded (or blame d64a92a author)
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/*.pm
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/HTTP
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/Lmo
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/Percona
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/bash

install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/pt-kill

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/percona-version-check

ln -s pt-show-grants $RPM_BUILD_ROOT%{_bindir}/mysqldumpgrants
echo '.so man1/pt-show-grants.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/mysqldumpgrants.1

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/%{name}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 310 percona-toolkit
%useradd -u 310 -d /etc/percona-toolkit -g percona-toolkit -c "Percona Toolkit User" percona-toolkit

%postun
if [ "$1" = "0" ]; then
	%userremove percona-toolkit
	%groupremove percona-toolkit
fi

%files
%defattr(644,root,root,755)
%doc Changelog README.md
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%ghost %{_sysconfdir}/%{name}/percona-version-check
%attr(754,root,root) /etc/rc.d/init.d/pt-kill
%attr(755,root,root) %{_bindir}/pt-*
%attr(755,root,root) %{_bindir}/mysqldumpgrants
%{systemdtmpfilesdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/pt-*.1*
%{_mandir}/man1/mysqldumpgrants.1
%dir %attr(770,root,percona-toolkit) /var/run/%{name}
%changelog
* Fri Sep 13 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/percona-toolkit.git;a=log;h=master

* Fri Sep 13 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c9fa22d
- up to 3.1

* Sun Apr 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ed44839
- up to 3.0.13

* Mon Apr 23 2018 Elan Ruusamäe <glen@pld-linux.org> dc498fd
- up to 3.0.9

* Mon Nov 27 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d64a92a
- up to 3.0.5

* Mon May 01 2017 Elan Ruusamäe <glen@delfi.ee> 9b0e94d
- up to 2.2.20 (released 2016-12-09)

* Wed Sep 07 2016 Elan Ruusamäe <glen@delfi.ee> 0978e8a
- up to 2.2.19 (2016-08-15)

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 9820609
- up to 2.2.17 released on 2016-03-07

* Mon Jun 29 2015 Elan Ruusamäe <glen@delfi.ee> 1985823
- up to 2.2.14 (2015-04-14)

* Wed Apr 08 2015 Elan Ruusamäe <glen@delfi.ee> 8553fd4
- up to v2.2.13 (2015-01-26)

* Wed Apr 08 2015 Elan Ruusamäe <glen@delfi.ee> 3d9267c
- up to v2.2.12 (2014-11-14)

* Wed Apr 08 2015 Elan Ruusamäe <glen@delfi.ee> 502bfd6
- no-version-check not respected from config, but we patch it out anyway

* Tue Sep 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 78adfdd
- up to 2.2.11

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> 6787356
- up to v2.2.10, released 2014-08-06

* Sun May 25 2014 Elan Ruusamäe <glen@delfi.ee> bfd200a
- add note how to see connect errors

* Mon May 05 2014 Elan Ruusamäe <glen@delfi.ee> c5b4f1c
- release 5 (by relup.sh)

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 8d74ca5
- allow inheriting .my.cnf (do not force --host param)

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 016f37e
- force RC_LOGGING=no

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 210a69e
- pass "empty" dsn to process .my.cnf for connect info

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 16ef5a7
- release 4 (by relup.sh)

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 349c5c3
- pt-kill: workaround for missing exit code check. LP#1314500

